<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - Yann COLLETTE <yann.collette@renault.com>
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="remove_param" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>23-Aug-2007</pubdate>
  </info>

  <refnamediv>
    <refname>remove_param</refname>

    <refpurpose>Remove a parameter and its associated value from a list of
    parameters</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[param_list,err] = remove_param(list_name,param_name)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>list_name</term>

        <listitem>
          <para>the list of parameters. This list must have been initialize by
          a call to init_param.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>param_name</term>

        <listitem>
          <para>a string. The name of the parameter to be removed from the
          list of parameters. If the parameter doesn't exist, nothing
          happens.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>param_list</term>

        <listitem>
          <para>the updated list of parameters.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>err</term>

        <listitem>
          <para>an error flag which is set to %T if list_name is not of type
          plist (this list hasn't been initialized by a call to
          init_param).</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
        <para>This function allows to remove a parameter and its associated
        value from a list of parameters. If the err output parameter is not
        present, when an error occurs, a message is printed in the
        console.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
mylist = init_param();
mylist = add_param(mylist,'minbound',[0 0 0]);
mylist = add_param(mylist,'maxbound',[0 0 0]);
mylist = remove_param(mylist,'minbound');
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="init_param"> init_param </link></member>

      <member><link linkend="set_param"> set_param </link></member>

      <member><link linkend="get_param"> get_param </link></member>

      <member><link linkend="add_param"> add_param </link></member>

      <member><link linkend="is_param"> is_param </link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>collette</term>

        <listitem>
          <para>ycollet@freesurf.fr</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
